# XMPP::Identity Class Reference

`#include <xmpp.h>`

Inheritance diagram for XMPP::Identity:

List of all members.

## Public Member Functions

| Identity (PXMLElement *identity)
| Identity (const PString &category, const PString &type, const PString &name)
const PString & | GetCategory () const
const PString & | GetType () const
const PString & | GetName () const
PXMLElement * | AsXML (PXMLElement *parent) const

## Protected Attributes

const PString | m_Category
const PString | m_Type
const PString | m_Name

## Constructor & Destructor Documentation

XMPP::Identity::Identity | ( | PXMLElement * | identity | ) |

XMPP::Identity::Identity | ( | const PString & | category,
|  | const PString & | type,
|  | const PString & | name |
| ) |  |  |

## Member Function Documentation

PXMLElement* XMPP::Identity::AsXML | ( | PXMLElement * | parent | ) | const

const PString& XMPP::Identity::GetCategory | ( |  | ) | const`[inline]`

const PString& XMPP::Identity::GetName | ( |  | ) | const`[inline]`

const PString& XMPP::Identity::GetType | ( |  | ) | const`[inline]`

## Member Data Documentation

const PString XMPP::Identity::m_Category `[protected]`

const PString XMPP::Identity::m_Name `[protected]`

const PString XMPP::Identity::m_Type `[protected]`

The documentation for this class was generated from the following file:

- xmpp.h